## hlsdemux hlsdemux |

## Properties

gfloat | bitrate-switch-tolerance | Read / Write
guint | fragments-cache | Read / Write
gfloat | bitrate-limit | Read / Write
guint | connection-speed | Read / Write

## Types and Values

struct | GstHLSDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAdaptiveDemux
                            ╰── GstHLSDemux

## Implemented Interfaces

GstHLSDemux implements GstChildProxy.

## Description

HTTP Live Streaming demuxer element.

#### Example launch line

    1
    gst-launch-1.0 souphttpsrc location=http://devimages.apple.com/iphone/samples/bipbop/gear4/prog_index.m3u8 ! hlsdemux ! decodebin ! videoconvert ! videoscale ! autovideosink

## Synopsis

### Element Information

plugin | hls
author | Marc-Andre Lureau <marcandre.lureau@gmail.com> Andoni Morales Alastruey <ylatuya@gmail.com>
class | Codec/Demuxer/Adaptive

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-hls

name | src_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstHLSDemux

    struct GstHLSDemux;

Opaque GstHLSDemux data structure.

## Property Details

### The `“bitrate-switch-tolerance”` property

      “bitrate-switch-tolerance” gfloat

Tolerance with respect of the fragment duration to switch to a different bitrate if the client is too slow/fast.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.4

### The `“fragments-cache”` property

      “fragments-cache”          guint

Number of fragments needed to be cached to start playing (DEPRECATED: Has no effect since 1.3.1).

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“bitrate-limit”` property

      “bitrate-limit”            gfloat

Limit of the available bitrate to use when switching to alternates.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“connection-speed”` property

      “connection-speed”         guint

Network connection speed in kbps (0 = unknown).

Flags: Read / Write

Allowed values: <= 4294967

Default value: 0